# Tron Provider API

### Detect and connect TokenPocket Tron Wallet

When you have TokenPocket installed, you will have `window.tokenpocket` in your webview.&#x20;

We are using [TIP-1102](https://github.com/tronprotocol/tips/issues/463)  to request user's account.

<pre class="language-javascript"><code class="lang-javascript"><strong>await window.tokenpocket.tron.request({method: 'eth_requestAccounts'})
</strong><strong>// return ['TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9']
</strong></code></pre>

After the request, you can use `window.tokenpocket.tronWeb` as a common tronWeb object.&#x20;

For example:&#x20;

SignMessageV2:&#x20;

`tronWeb.trx.signMessageV2('your message')`

More about tronWeb please refer: <https://github.com/tronprotocol/tronweb/tree/5.x>

>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.tokenpocket.pro/developer-en/extension-wallet/api-reference/tron-provider-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
